• All Community
    • All Community
    • Forums
    • Ideas
    • Blogs
Advanced

Not what you are looking for? Ask the experts!

Kudos1 Stats

Norton Toolbar stand alone incompatible with Firefox 28

I keep getting that the Norton Toolbar/Identity safe stand alone product is incompatible with Firefox 27.0.1 and Firefox 28.  I saw where Norton said that it was compatible and what versions of Norton identity safe were compatible, but I still receive in the addon that it is incompatible.  I am running Firefox 28, Norton Toolbar/Identity safe 2014.6.0.27.  I have uninstalled both products and tried updating both products with no success.  Could someone please tell me what could be the problem?